function OnMsg.ClassesBuilt() RDM_ModSkylineOne:Init() end
function OnMsg.RDM_FixerThrowFixes(Fixer) 
	Fixer:FixIconUpgradePath("sSkylineOne", 3) 
end

-- @Class sMod_SkylineOne
-- ===================================================================================
DefineClass.RDM_ModSkylineOne = {
	__parents = { "RDM_ModBase" },
	ModID = "kM6wXwz", -- SET
	
	techs 		= {"RDM_ModularEngineering", "HomeCollective"},
	buildings 	= {"sSkylineOne"},
	upgrades 	= {"sSkylineOne_Level1", "sSkylineOne_Level2", "sSkylineOne_HomeCollective"},
}

function RDM_ModSkylineOne:Init()
	RDM_ModBase.Init(self)

	self.rules_buildings = { 
		{self.buildings[1], self.techs[1]},
	}
	RDM_AddBuildingRules(self.rules_buildings)
	
	self.rules_upgrades = { 
		{self.upgrades[1], self.techs[1]}, 
		{self.upgrades[2], self.techs[1]}, 
		{self.upgrades[3], self.techs[2]}, 
	}
	RDM_AddUpgradeRules(self.rules_upgrades)
	
end

-- Unlock Buildings & Upgrades during the game
function OnMsg.TechResearched(tech_id, city, first_time)
	RDM_LockUnlock("RDM_ModSkylineOne", tech_id)
end